{
  "name": "portal",
  "type": "module",
  "version": "1.0.0",
  "description": "https://blackportaldetroit.com",
  "main": "index.js",
  "scripts": {
    "build": "tsc",
    "deploy": "npm run build && rsync -av --exclude-from='exclude.txt' ./ grace@listener.local:portal",
    "setup:broadcaster": "rsync -av --exclude-from='exclude.txt' ./ grace@broadcaster.local:portal",
    "setup:listener": "rsync -av --exclude-from='exclude.txt' ./ grace@listener.local:portal && ssh grace@listener.local -t 'cd portal/setup/listener && chmod +x install.sh && ./install.sh;'"
  },
  "repository": {
    "type": "git",
    "url": "git@git.featherboaz.com:boazsender/portal.git"
  },
  "author": "",
  "license": "ISC",
  "dependencies": {
    "@prisma/client": "^6.5.0",
    "raspberrypi-liquid-crystal": "^1.20.0",
    "wav-file-decoder": "^1.0.3"
  },
  "devDependencies": {
    "@types/node": "^22.13.14",
    "csv": "^6.3.11",
    "prisma": "^6.5.0",
    "tsx": "^4.19.3",
    "typescript": "^5.8.2"
  },
  "prisma": {
    "seed": "tsx prisma/seed.ts"
  },
  "volta": {
    "node": "23.11.0"
  }
}
